/*
Theme Name: Solmu
Theme URI: 
Author: Kalle Kemilä
Author URI: 
Description: 
Requires at least: 7.0
Tested up to: 7.0
Requires PHP: 5.7
Version: 
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Template: ollie
Text Domain: solmu
Tags: 
*/

body {
    background-image: linear-gradient(var(--wp--preset--color--primary-accent) 1px, transparent 1px), linear-gradient(90deg, var(--wp--preset--color--primary-accent) 1px, transparent 1px);
    background-size: 28px 28px;
    
}
.wp-block-button:has(a)
{
transition: all 0.3s ease-in-out;
}
.wp-block-button:has(a):hover
{
transform:translateY(-3px)
}

ul.is-style-list-check-circle li:before {
background: var(--wp--preset--color--main);
color: var(--wp--preset--color--base);
border-radius: 10px;
height: 1.5rem;
width: 1.5rem;
line-height: 1.5rem;
text-align: center;
font-size: var(--wp--preset--font-size--base);
transform: scale(.8);
}

.woocommerce-MyAccount-navigation li.is-active a {
background: var(--wp--preset--color--tertiary);
font-weight: 800 !important;
}

footer a {
    text-decoration-line: none;
}
footer a:hover {
    text-decoration: underline;
text-underline-offset: 0.2em;
text-decoration-style: wavy;
text-decoration-color: var(--wp--preset--color--primary);
}

.wp-block-navigation__responsive-container:not(.is-menu-open) .wp-block-navigation__container .current-menu-item > a, .wp-block-navigation__responsive-container:not(.is-menu-open) .wp-block-navigation__container .has-child button:hover, :root :where(.wp-block-navigation a:where(:not(.wp-element-button)):hover) {
text-decoration: underline;
text-underline-offset: 0.2em;
text-decoration-style: wavy;
text-decoration-color: var(--wp--preset--color--primary);
}

.gfield_required.gfield_required_text {
    color: var(--wp--preset--color--primary-alt);

}